<?php

namespace CouponsPlus\App\Coupon\Tree\Notifications\Buttons;

use CouponsPlus\App\Coupon\Tree\Abilities\URL;

class PageURL implements URL
{
    public const TYPE = 'page';

    protected string $id;

    public function __construct(string $id)
    {
        $this->id = $id;
    }

    public function getUrl(): string
    {
        return get_permalink($this->id);
    }
}